Newer Version Available
Add or Change the Translation of a Survey Field
If a survey field can be translated or is already translated into a particular
language, you can add or change the translated value of the survey field.
Syntax
- URI
- /services/data/vXX.X/localizedvalue/record/developerName/language
- Available since release
- 48.0
- Formats
- JSON
- HTTP methods
- POST
- Request body JSON example
-
1{ 2"value": "China" 3} - Request parameters
-
Parameter Description developerName Optional. Developer name of the flow field. language Optional Translated language of the flow field. value Required. Translated value of the flow field.
- Response parameters
-
Parameter Description createdBy ID of the user who translated the flow field. createdDate Date and time the flow field was translated. developerName Developer name of the flow field. language Language into which the flow field was translated. value Translated value of the flow field. isOutofDate Indicates if the flow field is out of date.
Example response body
1{
2 "createdBy": "005xxx",
3 "createdDate": "2018-09-14T00:10:30Z",
4 "developerName": "Flow.Flow.MyFlow.1.Choice.Choice_1_Master.InputLabel",
5 "language": "zh_CN",
6 "value": "中國",
7 "isOutOfDate": true
8}